> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Triggers

> List all triggers that you can subscribe to on behalf of your user.



## OpenAPI

````yaml /actionkit/triggers/openapi.json GET /projects/{project_id}/triggers
openapi: 3.0.0
info:
  title: Triggers API
  version: 1.0.0
servers:
  - url: https://actionkit.useparagon.com
    description: US Cloud
security: []
paths:
  /projects/{project_id}/triggers:
    get:
      summary: List Available Triggers
      description: >-
        Return all available triggers, including custom triggers, and their
        configuration options as definitions/schemas.
      operationId: listAvailableTriggers
      parameters:
        - $ref: '#/components/parameters/ProjectId'
        - $ref: '#/components/parameters/IntegrationsFilter'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  triggers:
                    type: object
                    description: A map of integrations with their available triggers
                    additionalProperties:
                      type: array
                      items:
                        $ref: '#/components/schemas/TriggerDefinition'
              example:
                triggers:
                  salesforce:
                    - type: SALESFORCE_TRIGGER_RECORD_CREATED
                      triggerModel: POLLING
                      title: New Record
                      description: Trigger when a new record is created in Salesforce
                      parameters:
                        - id: recordType
                          type: TEXT_NO_VARS
                          label: Record Type
                          required: true
      security:
        - BearerAuth: []
components:
  parameters:
    ProjectId:
      name: project_id
      in: path
      required: true
      schema:
        type: string
        description: Your Paragon Project ID
    IntegrationsFilter:
      name: integrations
      in: query
      required: false
      schema:
        type: string
        description: >-
          Filter by specific integrations that the user has connected.
          Comma-separated list.
        example: salesforce,hubspot
  schemas:
    TriggerDefinition:
      type: object
      properties:
        type:
          type: string
          description: >-
            The trigger type identifier used to create a subscription. Custom
            Webhooks are prefixed with `[INTEGRATION]_CUSTOM_[name]`.
          example: SALESFORCE_TRIGGER_RECORD_CREATED
        triggerModel:
          type: string
          enum:
            - POLLING
            - WEBHOOK
          description: The trigger model (POLLING or WEBHOOK)
        title:
          type: string
          description: The trigger title from the frontend config
          example: New Record
        description:
          type: string
          description: The trigger description from the frontend config
          example: Trigger when a new record is created in Salesforce
        parameters:
          type: array
          description: >-
            Configuration parameters for this trigger, which can be rendered as
            inputs for your user. Learn more in [User
            Configuration](/actionkit/triggers/user-configuration).
          items:
            $ref: '#/components/schemas/TriggerParameter'
      required:
        - type
        - triggerModel
        - title
        - description
        - parameters
    TriggerParameter:
      type: object
      properties:
        id:
          type: string
          description: >-
            The parameter key which should be passed to `parameters` in
            [Subscribe to a
            Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger)
            when providing a value.
        type:
          type: string
          description: >-
            The input type. See the full list of possible types in [Input
            Types](/actionkit/schema-formats#overview).
        label:
          type: string
          description: The parameter label
        required:
          type: boolean
          description: Whether this parameter is required
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your [Paragon User
        Token](/getting-started/installing-the-connect-sdk#setup) (JWT), which
        you can generate using your project's signing keys.

````